Bug 98910 - Built-in Help Standard Bar - Data Sources, and File - Templates missing help items
Summary: Built-in Help Standard Bar - Data Sources, and File - Templates missing help ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2016-03-26 15:38 UTC by Samson
Modified: 2016-11-22 18:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Standard bar (346.25 KB, image/png)
2016-03-26 15:38 UTC, Samson
Details
Standard Bar - Data Sources (79.83 KB, image/png)
2016-03-26 21:56 UTC, V Stuart Foote
Details
File - Templates (47.30 KB, image/png)
2016-03-26 21:57 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samson 2016-03-26 15:38:32 UTC
Created attachment 123874 [details]
Standard bar

Libre Office 5.1.2.1 


Open Help file 

1 on the right hand side window press Toolbar 

2 press Standard bar at the bottom of the page 

D'oh! You found a bug (text/swriter/01/03100000.xhp#steuerzeichen not found).


The second bug

Open Help file 

1 Templates

2 templates;default templates (on right side) at the bootom press Templates

D'oh! You found a bug (text/shared/00/00000401.xhp#dokuvorlage not found).
Comment 1 V Stuart Foote 2016-03-26 21:49:29 UTC
On Windows 10 Pro 64-bit en-US with

Version: 5.1.2.1 (x64)
Build ID: 2603b69c5ec5981bb5f053f8ebfd1f3de00a4c29
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; 
Locale: en-US (en_US)

Confirming both but with a bit different navigation in the Help to reach the errant entry...

Built-in Help -> Find "Standard Bar" (there are a couple, the entry with links) -> Data Sources entry has the "D'oh! You found a bug (text/swriter/01/03100000.xhp#steuerzeichen not found)." value

And, for the second. Built-in Help -> Find "Default templates", open the "File" entry and click open the "Templates" link. Error as shown "D'oh! You found a bug (text/shared/00/00000401.xhp#dokuvorlage not found)." 

But, as the 5.1.2.1 is just an RC build, possible that the i18n/l10n effort has not been completed.
Comment 2 V Stuart Foote 2016-03-26 21:56:27 UTC
Created attachment 123877 [details]
Standard Bar - Data Sources
Comment 3 V Stuart Foote 2016-03-26 21:57:29 UTC
Created attachment 123878 [details]
File - Templates
Comment 4 Gabor Kelemen (allotropia) 2016-10-13 11:55:45 UTC
This problem was fixed here:
https://cgit.freedesktop.org/libreoffice/help/commit/source?id=a2e692fc4eeeb04fb0664bcac58f3e5dba9164cd

Of course the redesigned Templates window need brand new help pages, that should happen in bug #94454. But until then this kind of ugliness is gone :).